<?php

/**
 * Observer class used to override the draw_pulldown for a specific instance
 *
 */
class html_output_draw_pulldown extends base {

  function __construct() {
    global $zco_notifier;
    $zco_notifier->attach($this, array('NOTIFY_ZEN_DRAW_PULL_DOWN_MENU_OVERRIDE'));
  }

  function update(&$class, $eventID, $paramsArray, &$field) {
    global $body_id;
    if ($eventID == 'NOTIFY_ZEN_DRAW_PULL_DOWN_MENU_OVERRIDE') {
      $field = '';
      if ($body_id == 'productinfo') {
        if ($paramsArray['name'] == "id[3]") {
//        define('NOTIFIER_TRACE', 'var_export');

          echo '<!-- bof NOTIFY_ZEN_DRAW_PULL_DOWN_MENU_OVERRIDE -->' . PHP_EOL;
          echo '<!-- bof var_dump';
//          var_dump($paramsArray);
          echo '<!-- eof var_dump -->' . PHP_EOL;

          $field = '<select';

          if (!strstr($parameters, 'id='))
            $field .= ' id="select-' . zen_output_string($paramsArray['name']) . '"';

          $field .= ' name="' . zen_output_string($paramsArray['name']) . '"';

          if (zen_not_null($paramsArray['parameters']))
            $field .= ' ' . $paramsArray['parameters'];

          $field .= '>' . "\n";

          if (empty($default) && isset($GLOBALS[$name]) && is_string($GLOBALS[$name]))
            $default = stripslashes($GLOBALS[$name]);

          for ($i = 0, $n = sizeof($paramsArray['values']); $i < $n; $i++) {
            $field .= '  <option data-image="' . zen_output_string($paramsArray['values'][$i]['data-image']) . '"  value="' . zen_output_string($paramsArray['values'][$i]['id']) . '"';
            if ($default == $paramsArray['values'][$i]['id']) {
              $field .= ' selected="selected"';
            }

            $field .= '>' . zen_output_string($paramsArray['values'][$i]['text'], array('"' => '&quot;', '\'' => '&#039;', '<' => '&lt;', '>' => '&gt;')) . '</option>' . "\n";
          }
          $field .= '</select>' . "\n";

          if ($required == true)
            $field .= TEXT_FIELD_REQUIRED;

          echo '<!-- eof NOTIFY_ZEN_DRAW_PULL_DOWN_MENU_OVERRIDE -->' . PHP_EOL;
          return $field;
        }
      }
    }
  }

}

// eof